package logging

import (
	`log/syslog`

	`r00t2.io/goutils/bitmask`
)

const (
	// devlog is the path to the syslog char device.
	devlog string = "/dev/log"
	// syslogFacility is the facility to use; it's a little like a context or scope if you think of it in those terms.
	syslogFacility syslog.Priority = syslog.LOG_USER
)

// Flags for logger configuration. These are used internally.
const (
	// LogUndefined indicates an undefined Logger type.
	LogUndefined bitmask.MaskBit = 1 << iota
	// LogJournald flags a SystemDLogger Logger type.
	LogJournald
	// LogSyslog flags a SyslogLogger Logger type.
	LogSyslog
	// LogFile flags a FileLogger Logger type.
	LogFile
	// LogStdout flags a StdLogger Logger type.
	LogStdout
)

var (
	// defLogPaths indicates default log paths.
	defLogPaths = []string{
		"/var/log/golang/program.log",
		"~/.local/log/golang/program.log",
	}
)
