package logging

import (
	`log/syslog`
)

/*
	SystemDLogger (yes, I'm aware it's actually written as "systemd") writes to journald on systemd-enabled systems.
*/
type SystemDLogger struct {
	EnableDebug bool
	Prefix      string
}

// SyslogLogger writes to syslog on syslog-enabled systems.
type SyslogLogger struct {
	EnableDebug bool
	Prefix      string
	alert,
	crit,
	debug,
	emerg,
	err,
	info,
	notice,
	warning *syslog.Writer
}
